For the complete documentation index, see llms.txt. This page is also available as Markdown.

PartStatement

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getPartStatement

post

Part statement

Authorizations
Body
Responses
200

Successful operation.

application/json
post/getPartStatement
POST /nexum/627/2022.01/parameter/getPartStatement HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "PartStatement": {
    "Format": 1,
    "InquiryLine": "text",
    "InstitutionAddressLine": [
      {
        "EntryId": 1,
        "InstitutionAddressLine": "text"
      }
    ],
    "NumberoftimesGenerated": 1,
    "StatementCutoffDate": "2026-01-01",
    "StatementGroupList": "text"
  }
}

getPartStatementSelectFields

post

Part statement select fields

Authorizations
Body
Responses
200

Successful operation.

application/json
post/getPartStatementSelectFields
POST /nexum/627/2022.01/parameter/getPartStatementSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 424

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "SelectableFields": {
    "IncludeAllPartStatementFields": true,
    "PartStatementFields": {
      "Format": true,
      "InquiryLine": true,
      "InstitutionAddressLine": [
        1
      ],
      "NumberoftimesGenerated": true,
      "StatementCutoffDate": true,
      "StatementGroupList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "PartStatement": {
    "Format": 1,
    "InquiryLine": "text",
    "InstitutionAddressLine": [
      {
        "EntryId": 1,
        "InstitutionAddressLine": "text"
      }
    ],
    "NumberoftimesGenerated": 1,
    "StatementCutoffDate": "2026-01-01",
    "StatementGroupList": "text"
  }
}

updatePartStatementByID

post

Update partial statements by ID

Authorizations
Body
Responses
200

Successful operation.

application/json
post/updatePartStatementByID
POST /nexum/627/2022.01/parameter/updatePartStatementByID HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 425

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "PartStatementUpdatableFields": {
    "Format": 1,
    "InquiryLine": "text",
    "InstitutionAddressLine": [
      {
        "EntryId": 1,
        "InstitutionAddressLine": "text"
      }
    ],
    "NumberoftimesGenerated": 1,
    "StatementCutoffDate": "2026-01-01",
    "StatementGroupList": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": [
      {
        "Record": "text",
        "ErrorCode": "text",
        "ErrorMessage": "text",
        "PrimaryKeyField": [
          {
            "Name": "text",
            "Value": "text"
          }
        ]
      }
    ]
  }
}

Last updated

Was this helpful?